slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSErrorView

Displays the errors associated with the computed solution (as well as the eigenvalues).

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSErrorView(EPS eps,EPSErrorType etype,PetscViewer viewer)

Collective

### Input Parameters

| eps | - the eigensolver context
| etype | - error type
| viewer | - optional visualization context

### Options Database Keys

| -eps_error_absolute | - print absolute errors of each eigenpair
| -eps_error_relative | - print relative errors of each eigenpair
| -eps_error_backward | - print backward errors of each eigenpair

### Notes

By default, this function checks the error of all eigenpairs and prints the eigenvalues if all of them are below the requested tolerance. If the viewer has format=PETSC_VIEWER_ASCII_INFO_DETAIL then a table with eigenvalues and corresponding errors is printed.

### See Also

EPSSolve(), EPSValuesView(), EPSVectorsView()

### Level

intermediate

### Location

src/eps/interface/epsview.c

### Examples

src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex2.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex4.c
src/eps/tutorials/ex5.c
src/eps/tutorials/ex6f.F90
src/eps/tutorials/ex7.c
src/eps/tutorials/ex9.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex11.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages